cURL
curl --request DELETE \
--url https://api.zapier.com/v2/promotions/{enrollment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/v2/promotions/{enrollment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/v2/promotions/{enrollment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"status": "401",
"code": "not_authenticated",
"title": "User Not Authenticated",
"detail": "User must be authenticated to access this resource. No valid user access token was provided."
}
]
}{
"errors": [
{
"status": "403",
"code": "permission_denied",
"title": "Permission Denied",
"detail": "You do not have permission to perform this action."
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Promotions
Delete Promotion Enrollment
Unenroll an account from a promotion.
Endpoint available to Partners only. The request must be authenticated by an app access token the Partner has received using the Client Credentials flow.
OAuth
This endpoint requires the promotions:write OAuth scope.
DELETE
/
v2
/
promotions
/
{enrollment_id}
cURL
This API is rate limited.
Authorizations
The user access token for the user you would like to enroll. See our OAuth2 authentication documentation.
Path Parameters
Response
No response body
Was this page helpful?
⌘I